org.eclipse.wst.jsdt.chromium.debug.ui.listeners

## Class JavaScriptChangeListener

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.listeners.JavaScriptChangeListener

    public class JavaScriptChangeListener
    extends java.lang.Object

Tracking changes in JavaScript files during debug session and executing `PushChangesAction`

See Also:
  Bug 488344

### Constructor Summary

Constructors
Constructor and Description
`JavaScriptChangeListener()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `resourceChanged(IResourceChangeEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavaScriptChangeListener

    public JavaScriptChangeListener()

### Method Detail

#### resourceChanged

    public void resourceChanged(IResourceChangeEvent event)